summaryrefslogtreecommitdiffstats
path: root/source/ap/groff/groff.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/groff/groff.SlackBuild')
-rwxr-xr-xsource/ap/groff/groff.SlackBuild38
1 files changed, 28 insertions, 10 deletions
diff --git a/source/ap/groff/groff.SlackBuild b/source/ap/groff/groff.SlackBuild
index e9b35d3ee..185d67c20 100755
--- a/source/ap/groff/groff.SlackBuild
+++ b/source/ap/groff/groff.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,10 +21,20 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-1.20.1}
-ARCH=${ARCH:-x86_64}
+PKGNAM=groff
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:--j7}
CWD=$(pwd)
@@ -40,6 +50,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
@@ -47,7 +60,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf groff-$VERSION
-tar xvf $CWD/groff-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/groff-$VERSION.tar.?z* || exit 1
cd groff-$VERSION || exit 1
chown -R root:root .
find . \
@@ -56,9 +69,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Make this thing respect our declared docdir setting
-zcat $CWD/groff.docdir.diff.gz | patch -p1 --verbose || exit 1
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -80,13 +90,21 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
cp -a GXditview.ad $PKG/etc/X11/app-defaults/GXditview
)
-mkdir -p $PKG/usr/doc/groff-$VERSION/xditview
cp -a \
- BUG-REPORT COPYING FDL INSTALL INSTALL.gen MORE.STUFF \
- NEWS PROBLEMS PROJECTS README TODO VERSION \
+ BUG-REPORT COPYING* ChangeLog FDL INSTALL* LICENSES MANIFEST MORE.STUFF \
+ NEWS PROBLEMS PROJECTS README* REVISION TODO VERSION \
$PKG/usr/doc/groff-$VERSION
+mkdir -p $PKG/usr/doc/groff-$VERSION/xditview
cp -a src/devices/xditview/{README,TODO} $PKG/usr/doc/groff-$VERSION/xditview
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
# If you want all this stuff, it's in the source tarball:
rm -rf $PKG/usr/doc/groff-$VERSION/*.ps \
$PKG/usr/doc/groff-$VERSION/examples \